marisa (0.2.6-18build1) plucky; urgency=medium

  * No-change rebuild for perl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 20:31:33 +0200

marisa (0.2.6-18) unstable; urgency=medium

  * debian/control: Add missing build-dependency python3-setuptools.
    (Closes: #1080673)
  * debian/control: Use build-dependency dh-sequence-pkgkde-symbolshelper.
  * debian/rules: Drop --with pkgkde-symbolshelper accordingly.

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Sep 2024 17:22:59 -0400

marisa (0.2.6-17) unstable; urgency=medium

  * Really fix #1065467.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Mar 2024 10:46:31 -0400

marisa (0.2.6-16) unstable; urgency=medium

  * debian/patches/0005-Add-wordsize-detection-for-LoongArch64.patch:
    Add proposed patch to fix FTBFS on LoongArch64. (Closes: #1065467)

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Mar 2024 20:18:03 -0400

marisa (0.2.6-15) unstable; urgency=medium

  [ Matthias Klose ]
  * debian/tests/python3: Run the python3 autopkg test in $AUTOPKGTEST_TMP.
    This fixes the autopkgtest regression with python3.12.
    (Closes: #1061809)

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Feb 2024 19:01:55 -0500

marisa (0.2.6-14) unstable; urgency=medium

  * Team upload

  [ Janitor ]
  * Set upstream metadata fields:
    - Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.

  [ Gunnar Hjalmarsson ]
  * Allow one to build twice (closes: #1047554, #1049679)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Thu, 17 Aug 2023 16:20:59 +0200

marisa (0.2.6-13) unstable; urgency=medium

  * Drop version requirement on ruby since ruby3.1 transition in
    Debian has concluded. (LP: #1999550)
  * debian/control: Bump Standards-Version to 4.6.2.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Jan 2023 20:19:12 -0500

marisa (0.2.6-12) unstable; urgency=high

  * Force rebuild against ruby3.1 to avoid unreasonable autopkgtest
    regression. (Closes: #1025889)
  * debian/source/lintian-overrides: Updated.

 -- Boyuan Yang <byang@debian.org>  Sun, 11 Dec 2022 15:56:57 -0500

marisa (0.2.6-11) unstable; urgency=medium

  * Team upload
  * debian/libmarisa0.symbols:
    - Update other archs for LTO using buildd logs (closes: #1015539)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sat, 23 Jul 2022 15:30:13 +0200

marisa (0.2.6-10) unstable; urgency=medium

  * Team upload
  * Start fixing FTBFS with LTO enabled (see bug 1015539):
    - debian/rules: Enable LTO
    - create symbols file for amd64 only
  * Bump Standards-Version to 4.6.1

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sat, 23 Jul 2022 01:16:20 +0200

marisa (0.2.6-9) unstable; urgency=high

  * debian/control: Restrict ruby version requirement to build-time
    ruby version using custom "ruby (>= ${ruby:Build-Version})" substvar
    to circumvent regression during ruby3.0-default transition.
    (Closes: #1006289)
  * debian/libmarisa0.symbols: Drop some disappeared optional symbols.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Feb 2022 02:35:04 -0500

marisa (0.2.6-8) unstable; urgency=medium

  * Team upload
  * debian/libmarisa0.symbols:
    - Added some "optional" to make it build without changes on
      Ubuntu's ppc64el.

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 17 Dec 2021 17:59:13 +0100

marisa (0.2.6-7) unstable; urgency=high

  * Reconfirm symbols using pkgkde-symbolshelper.
    (Closes: #997420)

 -- Boyuan Yang <byang@debian.org>  Sun, 24 Oct 2021 14:23:12 -0400

marisa (0.2.6-5) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0.
  * Rebuild against GCC 11.
  * Refresh symbols with GCC 11 build again.
  * debian/control: Use dh-sequence-python3 as build-dependency.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Oct 2021 19:55:51 -0400

marisa (0.2.6-4) unstable; urgency=medium

  * Team upload
  * debian/libmarisa0.symbols:
    - Here we go again.. (for kfreebsd-amd64)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 18 Aug 2021 18:30:30 +0200

marisa (0.2.6-3) unstable; urgency=medium

  * Team upload
  * Symbols file refreshed again, this time for alpha (closes: #981488)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 15 Aug 2021 12:33:09 +0200

marisa (0.2.6-3~exp4) experimental; urgency=medium

  * Team upload
  * d/p/0004-Fix-wordsize-detection-for-x32-architecture.patch:
    - Tweaked the code a bit in a new attempt
  * Symbols file refreshing again, this time for ia64

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 10 Feb 2021 02:58:09 +0100

marisa (0.2.6-3~exp3) experimental; urgency=medium

  * Team upload
  * d/p/0004-Fix-wordsize-detection-for-x32-architecture.patch:
    - Attempt to fix FTBFS on x32 due to failed base-test
  * Further refresh of symbols file

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 08 Feb 2021 17:00:33 +0100

marisa (0.2.6-3~exp2) experimental; urgency=medium

  * Team upload
  * debian/libmarisa0.symbols, debian/control, debian/rules:
    - Use pkg-kde-tools to manage symbols file
  * Partial refresh of symbols file using buildd logs
    - It has not been built on some archs yet, but this upload makes it
      easier to proceed on the Ubuntu side (related to bug #981488).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 03 Feb 2021 13:41:40 +0100

marisa (0.2.6-3~exp1) experimental; urgency=medium

  * Team upload
  * Replace shlibs file with symbols file
    - This is the first step in fixing bug #981488. However, this
      version of the symbols file was created on amd64, and the upload
      will probably fail to build on most architectures. A refreshed
      symbols file will be needed to complete the measure.
  * Bump Standards-Version to 4.5.1

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 01 Feb 2021 09:22:38 +0100

marisa (0.2.6-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly.

  [ Boyuan Yang ]
  * Rebuild with python3.9 only setup.
  * Bump Standards-Version to 4.5.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Dec 2020 11:55:00 -0500

marisa (0.2.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Bump debhelper compat to v13.
  * debian/shlibs: Bump version accordingly.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Jun 2020 09:56:03 -0400

marisa (0.2.5-6) unstable; urgency=high

  * debian/tests/: Drop python2-related autopkgtest as well.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Dec 2019 12:23:38 -0500

marisa (0.2.5-5) unstable; urgency=medium

  * Drop python2 package. (Closes: #936993)
  * debian/rules: Use chrpath to delete all RPATH inside shared
    library files.

 -- Boyuan Yang <byang@debian.org>  Sun, 22 Dec 2019 21:42:20 -0500

marisa (0.2.5-4) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 4.4.1.
  * debian/rules: Fix build around perl and gcc-9. Patch provided
    by Niko Tyni. (Closes: #942073)
  * Recover usage of dh_dwz again since the issue has been solved.

 -- Boyuan Yang <byang@debian.org>  Tue, 15 Oct 2019 09:46:57 -0400

marisa (0.2.5-3) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 4.4.0.
    + Bump debhelper compat to v12.
  * debian/copyright: Fix incorrect license name. (Closes: #920663)
  * debian/patches: Backport upstream patches till 20181102.
  * debian/rules: Temporarily stop calling dh_dwz when building.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jul 2019 11:46:44 -0400

marisa (0.2.5-2) unstable; urgency=medium

  * Rebuild against gcc 8.
  * debian/control:
    + Update my uploader email address and use the @debian.org one.
    + Bump Standards-Version to 4.2.1 (no changes needed).
    + Remove deprecated X-Python3-Version field.
    + Update Vcs-* fields and use the repo under input-method-team group.
  * debian/rules: Use architecture.mk to provide DEB_HOST_MULTIARCH var.

 -- Boyuan Yang <byang@debian.org>  Wed, 12 Sep 2018 16:02:52 -0400

marisa (0.2.5-1) unstable; urgency=medium

  [ Mitsuya Shibata ]
  * add dh-python to Build-Depends
  * remove no longer needed XS-Testsuite field
  * fix typo

  [ Boyuan Yang ]
  * New upstream release with different upstream on GitHub.
    Closes: #900680.
  * debian: Apply "wrap-and-sort -abst" for unified format.
  * debian/control:
    - Add myself into uploaders list.
    - Bump Standards-Version to 4.1.4.
    - Add X-Python3-Version field as recommended.
    - Replace "Extra" package priority with "Optional" to fit policy
      requirement.
    - Use debian-input-method@lists.debian.org in maintainer field.
      Closes: #899868.
    - Fix typo in package description. Closes: #808276.
  * debian/copyright:
    - Refresh upstream copyright information.
    - Add information about my contribution to debian/ dir.
    - Use GitHub repository for upstream source field.
  * debian/watch:
    - Rewrite in v4 format.
    - Use GitHub s-yata/marisa-trie as upstream.
  * debian/rules:
    - Use "dh_missing --fail-missing".
    - Avoid manual invocation of dpkg-parsechangelog.
    - Enable full hardening.
    - Explicitly remove .la files with file installation.
  * debian/docs: Refresh file list.
  * debian/doc-base: Register HTML document for libmarisa-dev.
  * debian/shlibs: Add a libmarisa0.shlibs file to restrict lib
    dependency (>= 0.2.5).
  * debian/patches: Refresh patches.
    - Fix Alpha wordsize detection. Closes: #836374.
    - Add support for riscv64 wordsize detection. Closes: #898018.
    - Backport various commits from upstream trunk.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 05 Jun 2018 15:45:30 +0800

marisa (0.2.4-8) unstable; urgency=medium

  [debian/control]
  * add ruby as a new dependency for ruby-marisa (Closes: #759527)
    Thanks to Lucas Kanashiro for the report.
  * set Maintainer as pkg-ime and add Uploaders me
  * split multi lines Depends and Build-Depends

  [debian/copyright]
  * fix invalid copyright information

  [debian/patches/support-mips64el.patch]
  * fix ftbfs on mips64el (Closes: #762001)
    Thanks to YunQiang Su for the report.

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Thu, 18 Sep 2014 01:16:29 +0900

marisa (0.2.4-7) unstable; urgency=medium

  * Fix missing link for libmarisa-perl
  * Fix FTBFS on s390x/sparc64 (Closes: #739126, #755560)
    Thanks to Aurelien Jarno and Guo Yixuan for the report.
  * Support DEP8/autopkgtest

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Thu, 31 Jul 2014 02:32:22 +0900

marisa (0.2.4-6) unstable; urgency=medium

  * support building with Ruby 2.0/2.1 (Closes:  #743989)
    Thanks to Christian Hofstaedtler for the report.

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Sun, 13 Apr 2014 23:27:56 +0900

marisa (0.2.4-5) unstable; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to fix FTBFS on ppc64el.
    Thanks to Logan Rosen for the report. (Closes: #736696)

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Sun, 26 Jan 2014 15:13:59 +0900

marisa (0.2.4-4) unstable; urgency=low

  * Initial upload to Debian archive (Closes: #714453)
  * Added Vcs-Browser and Vcs-Git fields
  * Bump standards version to 3.9.5

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Thu, 21 Nov 2013 22:03:51 +0900

marisa (0.2.4-3) unstable; urgency=low

  * Updated patch for DEP3.
  * Auto generate version for python/setup.py.
  * Fixed install path for ruby bindings.
  * Exec extconf.rb after building libmarisa.

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Sun, 17 Nov 2013 18:56:22 +0900

marisa (0.2.4-2) unstable; urgency=low

  * Fixed problems pointed out by sponsor.
    - Removed full stops from short descriptions.
    - Renamed perl package name as per Perl Policy §4.2.
    - Changed path of perl modules.
    - Refined compile options.
    - Fixed dpkg-gencontrol warnings.
    - Added manpages.
  * module-version-for-egg-inof.patch
    - For lintian4py warning, python module version in setup.py is specified.

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Wed, 14 Aug 2013 19:29:20 +0900

marisa (0.2.4-1) unstable; urgency=low

  * Initial release (Closes: #714453)

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Sat, 29 Jun 2013 10:53:00 +0900
